<?php
/*
	NSG WebGUI

	Software distributed under the License is distributed on an "AS IS" basis,
	WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
	for the specific language governing rights and limitations under the
	License.
	
	Licence information can be found within the file LICENCE.php
	
	The Original Code is NSG WebGUI

	The Initial Developer of the Original Code is
	Shaunt Libarian <shaunt@sangoma.com>

	Contributor(s):
	Shaunt Libarian <shaunt@sangoma.com>
*/

require_once("../../gui/Webconfig.inc.php");
require_once("../../gui/Charts.inc.php");
require_once("../../api/File.class.php");
require_once("../../api/ShellExec.class.php");
//require_once(GlobalGetLanguageTemplate(__FILE__));
require_once("../include/SngProduct.class.php");
WebAuthenticate();
///////////////////////////////////////////////////////////////////////////////
//
// Variables
//
///////////////////////////////////////////////////////////////////////////////
$fail_eth = false;
$fail_tdm = false;
$started_capture = false;
$data = date('Y-m-d-H:m');

//Determine the gateway type
$licenseConfFilePath = "/usr/local/sng/conf/prod-def.xml";
$product = determine_gateway_type($licenseConfFilePath);

if ($product == "netborder voip gateway")
	$productName = "NVG";
elseif ($product == "netborder ss7 gateway")
	$productName = "NSG";
else
	$productName = "NSG";

//Modify Defines
if ($product == "netborder voip gateway") {
	define("WEB_LANG_SS7_GW_NOT_YET_AVAILABLE", "Netborder VoIP Media Gateway service is not started.");
	define("WEB_LANG_IFRAME_NOT_SUPPORTED", "Sorry...your browser does not support Iframes.");
	define("WEB_LANG_PAGE_INTRO", "Run a packet capture on various interfaces.");
	define("WEB_LANG_PAGE_TITLE", "Netborder VoIP Media Gateway - Packet Capture");
}
elseif ($product == "netborder ss7 gateway") {
	define("WEB_LANG_SS7_GW_NOT_YET_AVAILABLE", "Netborder SS7 to VoIP Media Gateway service is not started.");
	define("WEB_LANG_IFRAME_NOT_SUPPORTED", "Sorry...your browser does not support Iframes.");
	define("WEB_LANG_PAGE_INTRO", "Run a packet capture on various interfaces.");
	define("WEB_LANG_PAGE_TITLE", "Netborder SS7 to VoIP Media Gateway - Packet Capture");
}
else {
	define("WEB_LANG_SS7_GW_NOT_YET_AVAILABLE", "Netborder SS7 to VoIP Media Gateway service is not started.");
	define("WEB_LANG_IFRAME_NOT_SUPPORTED", "Sorry...your browser does not support Iframes.");
	define("WEB_LANG_PAGE_INTRO", "Run a packet capture on various interfaces.");
	define("WEB_LANG_PAGE_TITLE", "Netborder SS7 to VoIP Media Gateway - Packet Capture");
}

///////////////////////////////////////////////////////////////////////////////
//
// POST
//
///////////////////////////////////////////////////////////////////////////////
if ($_POST['stop_both_capture']) {
	//Stop the tcpdump service
	$stop_eth=true;
	stop_eth();

	//Stop wanpipemon service
	$stop_tdm = true;
	stop_wanpipe();

	$stop_all = true;
	//Merge PCAPs
	//shell_exec ('sudo /usr/sbin/mergecap -a /tmp/prot-capture.pcap /tmp/prot-tdm-capture.pcap -w prot-merge-capture.pcap');

}
elseif ($_POST['download_merge']) {
	//Download pcap's in tgz
	$stop_tdm = true;
	$stop_eth = true;
	$filename = '/tmp/prot-capture.tgz';
	//create archive
	shell_exec ('sudo /bin/tar czf /tmp/prot-capture.tgz /tmp/prot-capture*.pcap /tmp/prot-tdm-capture*.pcap /tmp/prot-tdm-capture*.txt');
	shell_exec ("sudo cp /tmp/prot-capture.tgz .");
	header("Content-Disposition: attachment; filename=\"".basename("prot-capture.tgz")."\";" );
	header("Content-Transfer-Encoding: binary");
	header("Content-Length: ".filesize("prot-capture.tgz"));
	readfile("prot-capture.tgz");	
	
	shell_exec ("sudo rm -fr prot-capture.tgz");	
}
elseif ($_POST['capture'] ) {
	//Unified Capture
	
	//remove all old protocol captures
	shell_exec ('sudo rm -fr /tmp/prot-capture*');
	shell_exec ('sudo rm -fr /tmp/prot-tdm-capture*');
	shell_exec ('sudo rm -fr /tmp/prot-capture.tgz');
	
	if ($_POST['all_eth']) {
		if (!run_eth_capture('any')) {
			$fail_eth = true;
			$failed_eth = $k;
			//kill all active tcpdump processes
			stop_eth();
			break;
		}
	}
	elseif (!empty($_POST['eth_interfaces']) ) {
		foreach ($_POST['eth_interfaces'] as $eth) {
			if (!run_eth_capture($eth)) {
				$fail_eth = true;
				$failed_eth = $eth;
				//kill all active tcpdump processes
				stop_eth();
				break;
			}
		}	
	}
	
	//Dont bother running tdm capture if ethernet interface fails
	if (!$fail_eth) {
		if ($_POST['all_wanpipes'] ) {
			$interfaces = get_wanpipe_interfaces();
			foreach ($interfaces as $interface) {
				//run tdm function
				if (!run_wanpipemon($interface,$productName)) {
					$fail_tdm = true;
					$failed_tdm = $interface;
					//kill all active tcpdump processes
					stop_eth();
					//kill all wanpipemon processes
					stop_wanpipe();
					break;
				}
			}		
		}
		elseif (!empty($_POST['wanpipe_interfaces']) ) {
			foreach ($_POST['wanpipe_interfaces'] as $interface) {
				//run tdm function
				if (!run_wanpipemon($interface,$productName)) {
					$fail_tdm = true;
					$failed_tdm = $interface;
					//kill all active tcpdump processes
					stop_eth();
					//kill all wanpipemon processes
					stop_wanpipe();
					break;
				}
			}
		}
		
		if (!$fail_tdm)
			$started_capture = true;
	}
}


///////////////////////////////////////////////////////////////////////////////
//
// Main
//
///////////////////////////////////////////////////////////////////////////////

WebHeader(WEB_LANG_PAGE_TITLE);
WebDialogIntro(WEB_LANG_PAGE_TITLE, "/images/icon-diskusage.png", WEB_LANG_PAGE_INTRO);
find_procs ($process,$tdm_process);
echo "<form method='post' enctype='application/x-www-form-urlencoded' action='".$_SERVER['PHP_SELF']."'>";

unset($tdm);
unset($eth);
unset($all);

if ( (trim($process) != "" ) || (trim($tdm_process) != "" ) || $started_capture) {
	//Started a process
	$all = '<li>To stop the capture, please click <input type="submit" name="stop_both_capture" value="Stop Capture" class="ui-state-default ui-corner-all" /></li>';
	
	//echo "<form method='post'>";
	WebDialogInfo('<ul>
					<li>Protocol Capture started. </li>'.
					$all.
				   '</ul>');	
	//echo "</form>";
}

unset($tdm);
unset($eth);
unset($all);

//Failure
if ($fail_eth || $fail_tdm) {
	if ($fail_eth)
      $eth_error = "<li>Unable to start protocol capture due to <b>" . $failed_eth . "</b></li> ";

	if ($fail_tdm)
		$tdm_error = "<li>Unable to start protocol capture due to <b>" . $failed_tdm . "</b></li>";
		
	WebDialogWarning('<ul>'.
						$eth_error .
						$tdm_error .
						//'<li>Device is not currently running</li>'.
					  '</ul>');
}

unset($tdm);
unset($eth);
unset($all);

//DIsplay stopped capture
if ($stop_all) {
	$all = '<li>To download the capture, please click <input type="submit" name="download_merge" value="Download" class="ui-state-default ui-corner-all" /></li>';
	
	//echo "<form method='post'>";
	WebDialogInfo('	<ul>
						<li>Protocol Capture stopped successfully.</li>'.
						$all.
					'</ul>');
	//echo "</form>";					
}

	
//Main Form
//echo "ETH process = $process<br />";
//echo "TDM process = $tdm_process<br />";

$pick = get_last_entry();

//WebFormOpen($_SERVER['PHP_SELF']);
WebTableOpen('Packet Capture Parameters');
capture_info($pick);
capture_wanpipe_info($pick,$productName);
echo "<tr>";
echo "<td width='37%' class='mytablesubheader'></td>";
if ((trim($process) == "" && trim($tdm_process) == "") || $stop_all)
	echo "<td><input type='submit' name='capture' id='capture' value='Capture' class='ui-state-default ui-corner-all' /></td>";
else
	echo "<td><input type='submit' name='capture' id='capture' value='Capture' class='ui-state-default ui-corner-all' style=\"color:#C0C0C0\" disabled='disabled' /></td>";
echo "</tr>";	
WebTableClose();
//WebFormClose();
	
echo "</form>";
WebFooter();	
Jquery();

///////////////////////////////////////////////////////////////////////////////
//
// Functions
//
///////////////////////////////////////////////////////////////////////////////

/**
* Displays the Ethernet capture form elements
* @param array $pick
*/
function capture_info($pick) {
	echo "<tr>";
	echo "<td width='37%' class='mytablesubheader'>Network Interface</td>";
	echo "<td>";
	
	//Ethernet Interface Drop Down
	$interfaces = get_interfaces();
	if (!empty($interfaces)) {
		echo "<input type='checkbox' name='all_eth' value='all_eth' id='all_eth' " . $pick['all_eth'] . " class='all_interfaces' />All Network Interfaces<br />";
		foreach ($interfaces as $k=>$eth_int) {	
			$hash = 'clicked_'.$k;
			echo "<input type='checkbox' id ='".$k."' name='eth_interfaces[]' value='" . $k . "' " .  $pick[$hash] . " class='all_interfaces' />" . $eth_int ;
			echo "<br />";			
		}
	}
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td width='37%' class='mytablesubheader' >Filter(s)</td>";
	echo "<td><input type='text' name='filter' value='" . $pick['filter'] . "' /></td>";
	echo "<td></td>";
	echo "</tr>";	
}

/**
* Displays the TDM capture form elements
* @param array $pick
*/
function capture_wanpipe_info($pick,$productName = "NSG") {
	exec ("/usr/sbin/wanrouter status | grep -c wanpipe", $output);
	
	if ($output[0] == 0)
		$wanpipe=false;
	else
		$wanpipe=true;

	if ($wanpipe) {
		echo "<tr>";
		echo "<td width='37%' class='mytablesubheader'>TDM Interface</td>";
		echo "<td>";

		$interfaces = get_wanpipe_interfaces();

		$a = 1;
		if (!empty($interfaces)) {
			echo "<input type='checkbox' name='all_wanpipes' value='all_wanpipes' id='all_wanpipe' " . $pick['all_wanpipes'] . " class='all_interfaces' />All TDM Interfaces<br />";
			foreach ($interfaces as $k=>$v) {
				//echo "<option value='" . $k . "' >" . $v . "</option>";
				$hash = 'clicked_' . $k;
				echo "<input type='checkbox' name='wanpipe_interfaces[]' value='" . $k . "' id='" . $k . "' " .  $pick[$hash] . " class='all_interfaces' />" . $v;
				if ($a % 4 == 0)
					echo "<br />";
				$a++;
			}
		}
		echo "</select>";
		echo "</td>";
		echo "</tr>";
		echo "<tr>";
		echo "<td width='37%' class='mytablesubheader' >Filter(s)</td>";
		echo "<td>";
		echo "<table>";
		echo "<tr>";
		echo "<td rowspan='2'>";
		echo "<input type='radio' name='transmit' value='txrx' " . $pick['transmit_tr'] . " />TX & RX<br />";
		echo "<input type='radio' name='transmit' value='tx' " . $pick['transmit_t'] . "  />TX Only<br />";
		echo "<input type='radio' name='transmit' value='rx' " . $pick['transmit_r'] . " />RX Only<br />";
		echo "</td>";
		echo "<td>";
		echo "<input type='checkbox' name='diff' id='diff' ".$pick['diff'] . " />Only capture different frames<br />";
		if ($productName == "NSG")
			echo "<input type='checkbox' name='msu' ".$pick['msu']." />Capture only SS7 MSU's<br />";
		echo "<input type='checkbox' name='raw' ".$pick['raw']." />Capture RAW Trace<br />";
    	echo "</td>";
		echo "</tr>";
		echo "</table>";
		echo "<td></td>";
		echo "</tr>";
	}
	elseif (!$wanpipe) {
	}
}

/**
* Gets a list of wanpipe interfaces and places it into an array
* @return array $array
*/
function get_wanpipe_interfaces() {
	$cmd = "sudo /sbin/ifconfig -a | grep w*g. | cut -d: -f1 | awk '{ print $1}'";
	exec ($cmd,$result);
	
	if (!empty($result)) {
		foreach ($result as $interface) {
			$output = system ('sudo /sbin/ifconfig ' . $interface . ' | grep RUNNING >> /dev/null', $retCode);
			if ($retCode == 0 )
				$array[$interface] = $interface;
		}
	}
	
	return $array;
}

/**
* Looks at the post entries and highlights the previous entry
* @param null
* @return array $pick
*/
function get_last_entry() {
	//diff msu raw
	if ($_POST['diff']) 
		$pick['diff'] = "checked='checked'";
	if ($_POST['msu']) 
		$pick['msu'] = "checked='checked'";
	if ($_POST['raw']) 
		$pick['raw'] = "checked='checked'";
		
	
	$eth_interfaces = get_interfaces();
	$interfaces = get_wanpipe_interfaces();
	
	if ($_POST['all_eth'] != "") {
		$pick['all_eth'] = 'checked="checked"';	 
	}
	elseif (!empty ($eth_interfaces)) {
		foreach ($eth_interfaces as $k=>$v) {
			$hash = 'clicked_'.$k;
			foreach ($_POST['eth_interfaces'] as $post)
				if ($post == $k)
					$pick[$hash] = 'checked="checked"';	
		}
	}
	
	if ($_POST['all_wanpipes'] != "") {
		$pick['all_wanpipes'] = 'checked="checked"';	 
	}
	else
	if (!empty ($interfaces)) {
		foreach ($interfaces as $k=>$v) {
			$hash = 'clicked_'.$k;
			foreach ($_POST['wanpipe_interfaces'] as $post) 
				if ($post == $k)
					$pick[$hash] = 'checked="checked"';
		}
	}	
	
	if ($_POST['filter'] != "")
		$pick['filter'] = $_POST['filter'];
	elseif ($_POST['filter'] == "")
		$pick['filter'] = ".*";
		
	if ($_POST['transmit'] == 'txrx')
		$pick['transmit_tr'] = "checked='checked'";
	elseif ($_POST['transmit'] == 'tx')
		$pick['transmit_t'] = "checked='checked'";
	elseif ($_POST['transmit'] == 'rx')
		$pick['transmit_r'] = "checked='checked'";
	else
		$pick['transmit_tr'] = "checked='checked'";
		
	return $pick;
}

/**
* Validates the post for errors
* @param string $type
* @return boolean
*/
function validate($type) {
  if ($type == "any")
    return true;
  elseif ($type == "eth") {
		if ($_POST['filter'] == ".*") {
			return true;
		}
		else {
      			//return !preg_match('/[^A-Za-z0-9.#\\-$]/', $_POST['filter']);
      			return true;
		}
	}
	if ($type == "tdm") {
		return true;
	}
}

/**
* Returns the ethernet interface with IP Attached
* @return array $interface_list
*/
function get_interfaces() {
	exec("/sbin/ifconfig -a | grep eth | cut -d: -f1 | awk '{ print $1}'", $interfaces);
	
	foreach ($interfaces as $interface) {
		$command = "/sbin/ifconfig " . $interface . " | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}'";
		exec ($command, $int_ip);
		if ($int_ip[0] != "") {
			$output = system ('sudo /sbin/ifconfig ' . $interface . ' | grep RUNNING >> /dev/null', $retCode);
			if ($retCode == 0)
				$interface_list[trim($interface)] = trim($interface) . '-' . trim($int_ip[0]);
		}
		unset ($int_ip);
	}
	return $interface_list;
}

/**
* Looks for any running processes of tcpdump or wanpipemon on the system
* @param string $process
* @param string $tdm_process
*/
function find_procs(&$process = null, &$tdm_process = null) {
	passthru('pidof tcpdump > /tmp/eth-proc.txt');	
	$process = file_get_contents('/tmp/eth-proc.txt');
	shell_exec ('rm -fr /tmp/eth-proc.txt');
	passthru ('pidof wanpipemon > /tmp/tdm-proc.txt');
	$tdm_process = file_get_contents('/tmp/tdm-proc.txt');
	shell_exec ('rm -fr /tmp/tdm-proc.txt');
}

/**
* Starts the ethernet trace on a specific interface
* @param string $interface
* @return boolean
*/
function run_eth_capture($interface) {
	//Validate filter field for illegal characters
	if (validate('eth') ) {
		//Check if interface running
		if ($interface != "any")
			$output = system ('sudo /sbin/ifconfig ' . $interface . ' | grep RUNNING >> /dev/null', $retCode);
		else
		  $retCode=0;

		if ($retCode == 0) {
			//echo $interface . "<br />";
			$display_eth=true;
			$new_eth = true;
			shell_exec ("sudo /bin/rm -fr /tmp/prot-capture.pcap");
			if ($interface == "any") 
				$cmd = "nice sudo /usr/sbin/tcpdump -w /tmp/prot-capture-all-eth.pcap -s 0 -ni ".$interface;
			else
				$cmd = "nice sudo /usr/sbin/tcpdump -w /tmp/prot-capture-".$interface.".pcap -s 0 -ni ".$interface;
				
			if ($_POST['filter'] == ".*" || $_POST['filter'] == "")
				$cmd .= " >> /dev/null &";
			else 
				$cmd .= " " . urldecode($_POST['filter']) . " >> /dev/null &";

			//echo $cmd . "<br />";
			passthru ($cmd, $retCode);
			if ($retCode != 0) 
				return false;
		}
		else {
			//skip over interface
			return true;
			//return false;
		}
	}
	return true;
}

/**
* Starts the wanpipemon trace on a specific interface
* @param string $interface
* @return boolean
*/
function run_wanpipemon($interface, $productName = "NSG") {
	if (validate('tdm') ) {
		$tmp_id = array();
		$tmp_id2 = array();
		$id = 0;

		//get port information out of the sqlite database
		$db_location = 'sqlite:/usr/local/nsg/nginx/html/php/sqlite/cardinfo.db';
		require_once '/usr/local/nsg/nginx/html/php/database_classes.php';
		$data = new database_class;

		$tmp_id = explode('g',$interface);
		$tmp_id2 = explode ('w',$tmp_id[0]);
		$id = $tmp_id2[1];

	    $int_type = $data->select_statement($db_location,'generated_ports','type','wanpipe="wanpipe'.$id.'"');

		$output = system ('sudo /sbin/ifconfig ' . $interface . ' | grep RUNNING >> /dev/null', $retCode);
		if ($retCode == 0) {
			$display_tdm=true;
			$new_tdm = true;
			shell_exec ("sudo /bin/rm -fr /tmp/prot-tdm-capture-".$interface.".pcap");
			shell_exec ("sudo /bin/rm -fr /tmp/prot-tdm-capture-".$interface.".txt");
			
			if ($_POST['raw']) {
				if ($productName == "NSG") { 
					if ($int_type['type'] == "PRI")
						$cmd = "nice sudo wanpipemon -i " . $interface . " -prot ISDN" ;
					elseif ($int_type['type'] == "MFC/R2") {
					}
					else
						$cmd = "nice sudo /usr/sbin/wanpipemon -i " . $interface. " -prot MTP2" ;
				}
				elseif ($productName == "NVG") 
					$cmd = "nice sudo wanpipemon -i " . $interface . " -prot ISDN" ;				
			}
			else {
				if ($productName == "NSG") {
					if ($int_type['type'] == "PRI")
						$cmd = "nice sudo wanpipemon -i " . $interface . " -pcap -pcap_file /tmp/prot-tdm-capture-".$interface.".pcap -prot ISDN" ;
					elseif ($int_type['type'] == "MFC/R2") {
					}
					else
						$cmd = "nice sudo /usr/sbin/wanpipemon -i " . $interface. " -pcap -pcap_file /tmp/prot-tdm-capture-".$interface.".pcap -prot MTP2" ;
				}
				elseif ($productName == "NVG") 
					$cmd = "nice sudo wanpipemon -i " . $interface . " -pcap -pcap_file /tmp/prot-tdm-capture-".$interface.".pcap -prot ISDN" ;				
			}
			
			if ($_POST['msu'])
				$cmd.= " -mtp2-msu";

			$cmd.= "  -full -systime -noexit";
			
			if ($_POST['transmit'] == 'tx')
				$cmd.= " -tx";
			if ($_POST['transmit'] == 'rx')
				$cmd.= " -rx";
			if ($_POST['diff'])
				$cmd.= " -diff";

			if ($_POST['raw'])
			  $cmd.= ' -c tr >> /tmp/prot-tdm-capture-'.$interface.'.txt &';
			else
			  $cmd.= ' -c trd >> /tmp/shaunt &';

			if ($int_type['type'] != "MFC/R2" && $int_type['type'] != "SS7 Voice Link" && $int_type['type'] != "Media Gateway") {
				passthru ($cmd, $retCode);
				$retCode = 0;
				if ($retCode != 0) 
					return false;
			}
		}
		else {
			//Skip over interface
			return true;
			//return false;
		}
			
		return true;
	}	
}

/**
* Runs jquery code
* @return null
*/
function jquery() {
	//Ethernet
	$eth_interfaces = get_interfaces();
	//Wanpipe
	$interfaces = get_wanpipe_interfaces();
	?>
    <script>
       	$(document).ready(function() {
	<?php
	if (empty($_POST) || $_POST['diff'] != "") {
	?>
		$('#diff').attr("checked","checked");
	<?php
	}
	if (empty($_POST) || $_POST['all_eth'] ) {
	?>
		$('#all_eth').attr("checked","checked");
	<?php
		if (!empty($eth_interfaces)) {
			foreach ($eth_interfaces as $k=>$v) {
				echo "\$('#".$k."').attr('disabled','disabled');\n";
			}
		}
	}
	if (empty($_POST) || $_POST['all_wanpipes']) {
	?>
		$('#all_wanpipe').attr("checked", "checked");
	<?php
		if (!empty ($interfaces)) {
			foreach ($interfaces as $k=>$v) {
				echo "\$('#" . $v . "').attr('disabled','disabled');\n";
			}
		}
		
	}
	?>			
		});
		<!-- JQUERY for ethernet interfaces -->
		$('#all_eth').click(function() {
			if ($(this).is(':checked')) {
	<?php
		if (!empty ($eth_interfaces)) {
			foreach ($eth_interfaces as $k=>$v) {
				echo "\$('#" . $k . "').attr('disabled','disabled');\n";
			}
		}
	?>
			}
			else if ($(this).not(':checked')) {
	<?php
		if (!empty ($eth_interfaces)) {
			foreach ($eth_interfaces as $k=>$v) {
				echo "\$('#" . $k . "').attr('disabled', false);\n";
			}
		}
	?>				
			}
		});
		
		<!-- JQUERY for wanpipe interfaces -->		
		$('#all_wanpipe').click(function() {
			if ($(this).is(':checked')) {
	<?php
		if (!empty ($interfaces)) {
			foreach ($interfaces as $k=>$v) {
				echo "\$('#" . $v . "').attr('disabled','disabled');\n";
			}
		}
	?>
			}
			else if ($(this).not(':checked')) {
	<?php
		if (!empty ($interfaces)) {
			foreach ($interfaces as $k=>$v) {
				echo "\$('#" . $v . "').attr('disabled', false);\n";
			}
		}
	?>				
			}		
		});
		<!-- End Document.Ready function -->
		
	<?php
		if (empty ($_POST) || $_POST['stop_both_capture']) {
	?>
		<!-- Disable Capture button if no interfaces are clicked on -->
		$(function() {
			$(".all_interfaces").click(function() {
				$("#capture").attr("disabled", !$(".all_interfaces:checked").length);
				if ($("#capture").is(':disabled')) {
					$("#capture").css('color','#c0c0c0');
				}
				else {
					$("#capture").css('color','black');
				}
			});
		});
	<?php
		}
	?>
	</script>
    <?php
}

/**
* Stops ethernet interface captures
* @param null
* @return null
*/
function stop_eth() {
	shell_exec ('sudo /usr/bin/killall -TERM tcpdump');
	sleep(1);
}

/**
* Stops wanpipe interface captures
* @param null
* @return null
*/
function stop_wanpipe() {
	shell_exec ('sudo /usr/bin/killall -TERM wanpipemon');
	sleep(1);
}
